Subject: bug#55388: 28.1; New libraries that neither belong to a package nor provide a feature

From: Jonas Bernoulli <[email-masked]>
Date: Thu, 12 May 2022 20:35:31 +0200

"lisp/emacs-lisp/shorthands.el" doesn't provide a feature and lacks
a "Package" library header.  I think "Package: emacs" should be added.

Like other files in that directory "lisp/leim/quail/cham.el" neither
provides a feature nor is it explicitly made part of a package.  Would
it make sense to add ("leim" . emacs) to `finder--builtins-alist'?

Maybe another such entry should be added for the "obsolete" directory?

Unlike other "epa-*" libraries, "lisp/epa-ks.el" isn't made part of
the "epa" package and fails to provide a feature.